## PkFiles

PkFiles — Files object

## Synopsis

                        PkFilesPrivate;
                        PkFiles;
    PkFiles *           pk_files_new                        (void);

## Object Hierarchy

      GObject
       +----PkSource
             +----PkFiles

## Properties

      "files"                    GStrv*                : Read / Write
      "package-id"               gchar*                : Read / Write

## Description

This GObject represents a files from a transaction. These objects represent single items of data from the transaction, and are often present in lists (PkResults) or just refcounted in client programs.

## Details

### PkFilesPrivate

    typedef struct _PkFilesPrivate PkFilesPrivate;

Private PkFiles data

### PkFiles

    typedef struct _PkFiles PkFiles;

### pk_files_new ()

    PkFiles *           pk_files_new                        (void);

Returns : | a new PkFiles object.

Since 0.5.4

## Property Details

### The `"files"` property

      "files"                    GStrv*                : Read / Write

Since 0.5.4

### The `"package-id"` property

      "package-id"               gchar*                : Read / Write

Default value: NULL

Since 0.5.4